Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.eclipse
[Groovy] Class EclipseWtpComponent

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.GeneratorTask
              org.gradle.api.tasks.XmlGeneratorTask
                  org.gradle.plugins.eclipse.EclipseWtpComponent

    class EclipseWtpComponent
    extends XmlGeneratorTask

Generates the org.eclipse.wst.common.component settings file for Eclipse WTP.

Authors:
  Hans Dockter

Field Summary

Fields inherited from class GeneratorTask
generator

Property Summary
`java.lang.String` | `contextPath` The context path for the web application
`java.lang.String` | `deployName` The deploy name to be used.
`java.util.Set` | `minusConfigurations` The configurations whose files are to be excluded from dependent-module elements.
`java.util.Set` | `plusConfigurations` The configurations whose files are to be transformed into dependent-module elements.
`java.util.List` | `properties` Additional property elements.
`java.util.List` | `resources` Additional wb-resource elements.
`java.util.Set` | `sourceDirs` The source directories to be transformed into wb-resource elements.
`java.util.Map` | `variables` The variables to be used for replacing absolute path in dependent-module elements.

Constructor Summary
`EclipseWtpComponent()`

Method Summary
`protected void` | `configure(WtpComponent component)`
`protected WtpComponent` | `create()`
`void` | `property(java.util.Map args)` Adds a property.
`void` | `resource(java.util.Map args)` Adds a wb-resource.
`void` | `variables(java.util.Map variables)` Adds variables to be used for replacing absolute path in dependent-module elements.

Methods inherited from class XmlGeneratorTask
configure, create, getXmlTransformer, withXml, withXml

Methods inherited from class GeneratorTask
beforeConfigured, beforeConfigured, getInputFile, getOutputFile, setInputFile, setOutputFile, whenConfigured, whenConfigured

Property Detail

### contextPath

    java.lang.String contextPath

  The context path for the web application

### deployName

    java.lang.String deployName

  The deploy name to be used.

### minusConfigurations

    java.util.Set minusConfigurations

  The configurations whose files are to be excluded from dependent-module elements.

### plusConfigurations

    java.util.Set plusConfigurations

  The configurations whose files are to be transformed into dependent-module elements.

### properties

    java.util.List properties

  Additional property elements.

### resources

    java.util.List resources

  Additional wb-resource elements.

### sourceDirs

    java.util.Set sourceDirs

  The source directories to be transformed into wb-resource elements.

### variables

    java.util.Map variables

  The variables to be used for replacing absolute path in dependent-module elements.

Constructor Detail

### EclipseWtpComponent

    EclipseWtpComponent()

Method Detail

### configure

    @Override
    protected void configure(WtpComponent component)

### create

    @Override
    protected WtpComponent create()

### property

    void property(java.util.Map args)

  Adds a property.
  Parameters:
    `args` - A map that must contain a name and value key with corresponding values.

### resource

    void resource(java.util.Map args)

  Adds a wb-resource.
  Parameters:
    `args` - A map that must contain a deployPath and sourcePath key with corresponding values.

### variables

    void variables(java.util.Map variables)

  Adds variables to be used for replacing absolute path in dependent-module elements.
  Parameters:
    `variables` - A map where the keys are the variable names and the values are the variable values.

Groovy Documentation